Package com.massivecraft.factions.cmd.points

## Class CmdPoints

- java.lang.Object
- - com.massivecraft.factions.cmd.FCommand
  - - com.massivecraft.factions.cmd.points.CmdPoints

-     public class CmdPoints
      extends FCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `CmdPointsAdd` | `cmdPointsAdd` |
    `CmdPointsRemove` | `cmdPointsRemove` |
    `CmdPointsSet` | `cmdPointsSet` |

    - ### Fields inherited from class com.massivecraft.factions.cmd.FCommand

      `aliases, helpLong, optionalArgs, requiredArgs, requirements, sdf, subCommands, visibility`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CmdPoints()` |

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `TL` | `getUsageTranslation()` |
    `void` | `perform​(CommandContext context)` |

    - ### Methods inherited from class com.massivecraft.factions.cmd.FCommand

      `addSubCommand, execute, getHelpShort, getToolTips, getToolTips, getUsageTemplate, getUsageTemplate, isEnabled, replaceFactionTags, replaceFPlayerTags, setHelpShort, validArgs, validCall`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cmdPointsRemove

          public CmdPointsRemove cmdPointsRemove

    - #### cmdPointsSet

          public CmdPointsSet cmdPointsSet

    - #### cmdPointsAdd

          public CmdPointsAdd cmdPointsAdd

  - ### Constructor Detail

    - #### CmdPoints

          public CmdPoints()

  - ### Method Detail

    - #### perform

          public void perform​(CommandContext context)

      Specified by:
        `perform` in class `FCommand`

    - #### getUsageTranslation

          public TL getUsageTranslation()

      Specified by:
        `getUsageTranslation` in class `FCommand`